-------------------------------------------------------------------------------
-- SmartBuff
-- Created by Aeldra (EU-Proudmoore)
--
-- FuBar support
-------------------------------------------------------------------------------

if (AceLibrary("AceAddon-2.0") == nil or not IsAddOnLoaded("SmartBuff")) then return; end

local SMARTBUFF_Fu;
local Tablet;

SMARTBUFF_FU_ICON_ON = "Interface\\AddOns\\SmartBuff\\Icons\\IconEnabled";
SMARTBUFF_FU_ICON_OFF = "Interface\\AddOns\\SmartBuff\\Icons\\IconDisabled";

Tablet = AceLibrary("Tablet-2.0");
SMARTBUFF_Fu = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0");
SMARTBUFF_Fu.hasIcon = SMARTBUFF_FU_ICON_ON;
SMARTBUFF_Fu.hasNoColor = true;
SMARTBUFF_Fu.hasNoText = true;
SMARTBUFF_Fu.cannotDetachTooltip = true;
SMARTBUFF_Fu.defaultMinimapPosition = 220;
SMARTBUFF_Fu.title = SMARTBUFF_TITLE;
SMARTBUFF_Fu.version = SMARTBUFF_VERSION;
SMARTBUFF_Fu.name = SMARTBUFF_TITLE;
SMARTBUFF_Fu.category = "Interface";
SMARTBUFF_Fu.description = SMARTBUFF_DESC;

function SMARTBUFF_Fu:OnInitialize()
  if(FuBar2DB.profiles.Default.detached.SmartBuff) then
    SMARTBUFF_Fu.hideWithoutStandby = true;
  end
end

function SMARTBUFF_Fu:OnTooltipUpdate()
  if (Tablet) then
    Tablet:SetHint(SMARTBUFF_FUBAR_TT);
  end
end

function SMARTBUFF_Fu:OnClick()
  if (arg1 == "LeftButton" and IsShiftKeyDown()) then
    SMARTBUFF_OToggle();
  elseif (arg1 == "LeftButton" and IsAltKeyDown()) then
    if (IsAddOnLoaded("SmartDebuff")) then
      SMARTDEBUFF_ToggleSF();
    end      
  elseif (arg1 == "LeftButton") then
    SMARTBUFF_OptionsFrame_Toggle();          
  end
  --SMARTBUFF_AddMsgD("SB FuBar clicked: " .. arg1);
end

function SMARTBUFF_Fu:OnTextUpdate()
  --self:SetText("SB");
end

function SMARTBUFF_Fu_SetIcon()
	if (SMARTBUFF_Fu and SMARTBUFF_Options) then
    if (SMARTBUFF_Options.Toggle) then
      SMARTBUFF_Fu:SetIcon(SMARTBUFF_FU_ICON_ON);
	  else
      SMARTBUFF_Fu:SetIcon(SMARTBUFF_FU_ICON_OFF);
	  end
	  --SMARTBUFF_AddMsgD("SB FuBar icon set");		
	end
end
